/****************************************************************************
 *
 * CRI Middleware SDK
 *
 * Copyright (c) 2001-2007 CRI Middleware Co., Ltd.
 *
 * Title   : ADX tools
 * Module  : Revision History
 * File    : history_adxtools_e.txt
 * Date    : 2007-12-20
 * Version : ADX tools Ver.1.14
 *
 ****************************************************************************/

/*--------------------------------------------------------------------------*
 *
 * [Table of Contents]
 *  1.  Revision History of ADX Player 
 *  2.  Revision History of ADX Encoder 
 *  3.  Revision History of ADXCAT 
 *  4.  Revision History of AFS Link
 *  5.  Revision History of AIX Maker
 *  6.  Revision History of AIX Multiplexer
 *  7.  Revision History of ADX Additional Information Inserter
 *  8.  Revision History of Wave Resampler
 *
 *--------------------------------------------------------------------------*/


/*==========================================================================*
 *  1.  Revision History of ADX Player
 *==========================================================================*/
 - 2007-11-21 AdxPlayer Ver.1.28 ------------------------------
   <ADD SPEC>
   (a) The function of AIX file playback is ready.

 - 2006-09-21 AdxPlayer Ver.1.25 ------------------------------
   <ADD SPEC>
   (a) Updated the initialization file.

 - 2006-06-10 AdxPlayer Ver.1.23 ------------------------------
   <ADD SPEC>
   (a) Supported drag and drop operation for folders.

   <BUG FIX>
   (b) Fixed a problem that the file remain locked after playback.

 - 2005-11-17 AdxPlayer Ver.1.21 ------------------------------
   <BUG FIX>
   (a) The file clicked with the mouse for playback shifts when a continuous 
       playback is set. This bug was fixed.

 - 2005-11-15 AdxPlayer Ver.1.20 ------------------------------
   <BUG FIX>
   (a) In the previous release of tool, the file for playback shifts when the
       keyboard is used. This bug was fixed.

   <ADD SPEC>
   (a) View of number of entry files and sound pressure level was added.
 
 - 2005-11-11 AdxPlayer Ver.1.10 ------------------------------
   <ADD SPEC>
   (a) File sort function was added.
   
 - 2004-09-02 AdxPlayer Ver.0.98 ------------------------------
  - 1st release of "ADX Player"


/*==========================================================================*
 *  2.  Revision History of ADX Encoder
 *==========================================================================*/
(1) Windows version (AdxEncoder.exe)
 - 2007-11-21 ADX Encoder Ver.1.98 ---------------------------
   <ADD SPEC>
   (a) The Function of bap file I/O is ready.

 - 2007-04-10 ADX Encoder Ver.1.96 ---------------------------
   <BUG FIX>
   (a) Fixed a problem that sound data of 8kHz may become a noise.

 - 2006-11-05 ADX Encoder Ver.1.92 ---------------------------
   <BUG FIX>
   (a) Changed to be able to get the loop information of some AIFF file.

 - 2006-06-10 ADX Encoder Ver.1.89 ---------------------------
   <BUG FIX>
   (a) Corrected an erratum of AHX's bit allocation patterns.

 - 2006-03-22 ADX Encoder Ver.1.88 ---------------------------
   <BUG FIX>
   (a) Fixed a problem that short silence data has been inserted at the head
       of audio file.
 
 - 2005-02-15 ADX Encoder Ver.1.87 ---------------------------
   <BUG FIX>
   (a) When illegal loop information was input, the problem of hang-up was
       corrected. 

 - 2004-09-02 ADX Encoder Ver.1.85 ---------------------------
   <ADD SPEC>
   (a) The rate of compression of AHX is going up by this version.
       (Sound quality does not change at all.)
   (b) "DC Compatible" was added to the encoding parameter of AHX.
       Please check, if it is data for Dreamcast.

 - 2004-07-14 ADX Encoder Ver.1.82 ---------------------------
   <ADD SPEC>
   (a) "-lpauto" command was added.
          > Usage: AdxEncoder.exe <PCM FILE> [Options]

          <Parameter> 
              PCM FILE        : <input> Sound data file. (.wav/.aif)

          <Options> 
              -lps=<pos>      : Start Loop Pos. [smpl]
              -lpe=<pos>      : End   Loop Pos. [smpl]
              -lpa            : Looping All.
              -lpauto         : Loop position is detected from Audio file.
              -ahx            : AHX format is applied. (default: ADX)
              -bap=<filename> : AHX's bit allocation pattern file is applied.
              -key=<keycode>  : Scramble key (ADX format only).
              -odir=<odir>    : Output directory.

 - 2004-06-30 ADX Encoder Ver.1.81 ---------------------------
   <BUG FIX>
   (a) The problem which cannot encode certain WAV file was corrected.

 - 2004-04-02 ADX Encoder Ver.1.80 ---------------------------
   <ADD SPEC>
   (a) When an inaccurate loop is set up, ADX Encoder warns it.

 - 2003-06-24 ADX Encoder Ver.1.75 ---------------------------
   <ADD SPEC>
   (a) The function which enciphers AHX is added.
   (b) The value of a bit allocation pattern is changed.

 - 2003-06-11 ADX Encoder Ver.1.70 ---------------------------
   <ADD SPEC>
   (a) The item preservation function was added.(for Project file)
    
 - 2003-05-03 ADX Encoder Ver.1.67 ---------------------------
   <ADD SPEC>
   (a) The function to set up the loop information on all items is added. 

 - 2003-05-02 ADX Encoder Ver.1.66 ---------------------------
   <ADD SPEC>
   (a) When encoding was canceled, the problem which an error generates 
       was corrected.
   (b) "-key" and "-odir" command was added.

 - 2003-03-20 ADX Encoder Ver.1.64 ---------------------------
   <BUG FIX>
   (a) Loop information is unacquirable from AIFF.

 - 2002-12-17 ADX Encoder Ver.1.62 ---------------------------
   <IMPROVEMENT>
   (a) ADX keycode can be set up now.

 - 2002-10-02 ADX Encoder Ver.1.55 ---------------------------
   <IMPROVEMENT>
   (a) The use from a command line was attained.

 - 2002-09-03 ADX Encoder Ver.1.50 ---------------------------
   <BUG FIX>
   (a) The following bugs were corrected. 
       ADX Data unreproducible at the time of a loop setting.

   <IMPROVEMENT>
   (b) The use from a command line was attained.

 - 2002-04-22 ADX Encoder Ver.1.15 ---------------------------
   <BUG FIX>
   (a) The fault which cannot be encoded is corrected when the file of 
       Read-only attribute exists.

 - 2002-04-05 ADX Encoder Ver.1.14 ---------------------------
   <IMPROVEMENT>
   (a) changed display format of file information

 - 2002-01-24 ADX Encoder Ver.1.13 ---------------------------
   <BUG FIX>
   (a) Loop information is unacquirable from WAV.
    
 - 2001-12-19 ADX Encoder Ver.1.12 ---------------------------
   <BUG FIX>
   (a) The acquired number of sample information had less one.

 - 2001-12-19 ADX Encoder Ver.1.11 ---------------------------
   <BUG FIX>
   (a) Loop information is unacquirable from AIFF.

 - 2001-11-30 ADX Encoder Ver.1.10 ---------------------------
   <BUG FIX>
   (a) The fault the terminus of a file breaks was corrected.

   <IMPROVEMENT>
   (a) It corrected so that loop information could be acquired.

 - 2001-10-04 ADX Encoder Ver.1.05 ---------------------------
   <IMPROVEMENT>
   (a) recall previous settings in loop setting window.

 - 2001-10-04 ADX Encoder Ver.1.04 --------------------------
   <BUG FIX>
   (a) Encode procedure doesn't work in some setting of loop start point.
   (b) Incorrect data is output when loop settigs is applied.

 - 2001-08-29 AdxEncoder Ver.1.03 ---------------------------
   <CHANGE SPEC>
   (a) changed its appearance somewhat.

 - 2001-08-23 AdxEncoder Ver.1.02 ---------------------------
   <BUG FIX>
   (a) The end part of ADX data is lost and invalid data is put instead.
       (When played back the invalid ADX data, it may sound with noise or
        its end part may be played back repeatedly)

 - 2001-07-31 AdxEncoder Ver.1.00 ---------------------------
  - 1st release of "AdxEncoder"


(2) ADX Encoder DOS console version (adxencd.exe)
 - 2007-05-30 adxencd Ver.5.33 ------------------------------
   <BUG FIX>
   (a) The problem which cannot encode certain AIFF file was corrected.

 - 2006-11-30 adxencd Ver.5.32 ------------------------------
   <CHANGE SPEC>
   (a) Fixed the problem which cannot loop of all ranges.

 - 2006-11-17 adxencd Ver.5.30 ------------------------------
   <BUG FIX>
   (a) Loop information is unacquirable from AIFF.
   <CHANGE SPEC>
   (b) This version deletes the sample datas since the end of loop point. 
       It doesn't function by using "-nodelterm" option. 

 - 2005-01-27 adxencd Ver.5.11 ------------------------------
   <BUG FIX>
   (a) When the directory was specifying specified, the problem that 
       the output file name becomes illegal was corrected. 

 - 2004-08-16 adxencd Ver.5.10 ------------------------------
   <BUG FIX>
   (a) The problem which cannot encode certain WAV file was corrected.
       It corresponded to "PAD " and "COMT" chunks.

 - 2004-07-14 adxencd Ver.5.08 ------------------------------
   <CHANGE SPEC>
   (a) Loop information is acquired from a audio file.
       "-lpauto" command option is added.

 - 2004-06-30 adxencd Ver.5.05 ------------------------------
   <BUG FIX>
   (a) The problem which cannot encode certain WAV file was corrected.

 - 2003-05-01 adxencd Ver.5.00 ------------------------------
   <CHANGE SPEC>
   (a) It corresponded to the scramble key "-key".
   (b) It corresponds to new "inside format of ADX."

 - 1999-11-30 adxencd Ver.4.70 ------------------------------
  - latest version is Ver.4.70.


(3) AHX Encoder DOS console version (ahxencd.exe)
 - 2007-04-09 ahxencd Ver.1.24 ------------------------------
   <BUG FIX>
   (a) Fixed a problem that sound data of 8kHz may become a noise.

 - 2006-03-22 ahxencd Ver.1.23 ------------------------------
   <BUG FIX>
   (a) Fixed a problem that short silence data has been inserted at the head
       of audio file.
 
 - 2005-01-28 ahxencd Ver.1.22 ------------------------------
   <BUG FIX>
   (a) When the directory was specifying specified, the problem that 
       the output file name becomes illegal was corrected. 

 - 2004-10-01 ahxencd Ver.1.21 ------------------------------
   <BUG FIX>
   (a) The fault which was not able to omit an output file name was corrected.

 - 2004-08-31 ahxencd Ver.1.20 ------------------------------
   <CHANGE SPEC>
   (a) Some audio rates of compression were gathered. 
       Thereby, there is no sound quality degradation.
   (b) The "-dc" option was added.
       Please add, when you create the data for Dreamcast.

 - 2004-07-01 ahxencd Ver.1.18 ------------------------------
   <BUG FIX>
   (a) The problem which cannot encode certain WAV file was corrected.

 - 2004-03-15 ahxencd Ver.1.15 ------------------------------
  - latest version is Ver.1.15

(4) ADX Encoder Linux console version (adxencd)
 - 2004-03-15 adxencd(Linux) Ver.5.04 -----------------------
  - latest version is Ver.5.04

(5) AHX Encoder Linux console version (ahxencd)
 - 2004-03-15 ahxencd Ver.1.16 ------------------------------
  - latest version is Ver.1.16


/*==========================================================================*
 * 3.  Revision History of ADXCAT console version
 *==========================================================================*/
 - 2005-01-11 adxcat Ver.1.20 -------------------------------
   <BUG FIX>
   (a) The problem whose content of padding is an irregular value was 
       corrected. 

 - 1997 adxcat Ver.1.1 --------------------------------------
  - latest version is Ver.1.1


/*==========================================================================*
 * 4.  Revision History of AFS Link 
 *==========================================================================*/
(1) Windows version (AfsLink.exe)
 - 2005-02-24 AfsLink Ver.1.08 ------------------------------
   <BUG FIX>
   (a) The Tool information file(AfsLink.ini) was made in the same directory 
       as exe file(AfsLink.exe). 

 - 2002-07-15 AfsLink Ver.1.07 ------------------------------
   <ADD SPEC>
   (a) Progress display function is added.

 - 2002-04-11 AfsLink Ver.1.04 ------------------------------
  - 1st release of "AfsLink Ver.1.04"

(2) DOS console version (afslnk.exe)
 - 2006-05-19 afslnk Ver.2.22 -------------------------------
   <BUG FIX>
   (a) The revision of the problem that a header file becomes unjust.
       (more than 32767 files)

 - 2005-01-25 afslnk Ver.2.20 -------------------------------
   <CAHNGE SPEC>
   (a) The use of the memory has been improved. As a result, the processing 
       time has been shortened. 

 - 2004-12-01 afslnk Ver.2.17 -------------------------------
   <CAHNGE SPEC>
   (a) "The number of inside files" was added to the output header file.
   <BUG FIX>
   (b) When an output file name was 65 or more characters, the hangging-up 
       problem was corrected.
   (c) When the head of an inside file was skipped, the problem to which 
       an inaccurate file is outputted was corrected.

 - 2003-05-23 afslnk Ver.2.12 -------------------------------
   <CAHNGE SPEC>
   (a) Internal buffer size was reduced.

 - 2003-03-14 afslnk Ver.2.10 -------------------------------
   <CAHNGE SPEC>
   (a) "error display" was increased.

 - 2003-01-31 afslnk Ver.2.09 -------------------------------
   <CAHNGE SPEC>
   (a) ":DIR=(dir)" filelist command added.
   (b) ":(id number)" filelist command added.

 - 2002-05-01 afslnk Ver.2.06 -------------------------------
   <BUG FIX>
   (a) "-dir" command did not operate well.

 - 2002-04-11 afslnk Ver.2.03 -------------------------------
  - 1st release of "afslnk Ver.2"

(3) Linux console version (afslnk)
 - 2005-07-07 afslnk(Linux) Ver.2.21 ------------------------
   <CAHNGE SPEC>
   (a) This version was updated to the latest version. 

 - 2003-05-23 afslnk(Linux) Ver.2.12 ------------------------
  - 1st release of "afslnk Ver.2.12"


/*==========================================================================*
 * 5.  Revision History of AIX Maker
 *==========================================================================*/
(1) Windows version (AixMaker.exe)
 - 2006-06-14 AixMaker Ver.1.00 ------------------------------
   <CHANGE SPEC>
   (a) AIX file with maximum of 360 phrases can be created.

 - 2006-01-16 AixMaker Ver.0.99 ------------------------------
   <CHANGE SPEC>
   (a) Supported mixture of stereo and mono data.

 - 2006-01-12 AixMaker Ver.0.98 ------------------------------
   <CHANGE SPEC>
   (a) Increased the maximum number of tracks to 32.

 - 2005-12-01 AixMaker Ver.0.96 ------------------------------
   <BUG FIX>
   (a) The previous release of tool would output file that the length of 
       phrase is 0. This bug was fixed.

 - 2005-05-10 AixMaker Ver.0.95 ------------------------------
   <CAHNGE SPEC>
   (a) The warning display was added. 
   (b) It corresponded to "LOOP" chunk in the wave/aif data. 

 - 2003-08-29 AixMaker Ver.0.91 ------------------------------
  - 1st release of "AixMaker"

(2) DOS console version (aixmakec.exe)
 - 2006-06-10 aixmakec Ver.1.12 ------------------------------
   <CAHNGE SPEC>
   (a) AIX file with maximum of 32 tracks can be created.
   (b) AIX file with maximum of 320 phrases can be created.

 - 2004-11-22 aixmakec Ver.1.10 ------------------------------
   <CAHNGE SPEC>
   (a) The "-marker" option was added. 
       Marker information is acquired from a sound file(Track 1) and it is 
       made a phrase.

 - 2003-08-29 aixmakec Ver.1.00 ------------------------------
  - 1st release of "aixmakec"


/*==========================================================================*
 * 6.  Revision History of AIX Multiplexer console version
 *==========================================================================*/
 - 2006-07-11 aixmux Ver.1.07 -------------------------------
   <CAHNGE SPEC>
   (a) AIX file with maximum of 360 phrases can be created.

 - 2003-04-30 aixmux Ver.1.00 -------------------------------
  - latest version is Ver.1.00


/*==========================================================================*
 * 7.  Revision History of ADX Additional Information Inserter
 *==========================================================================*/
 - 2006-04-05 adxainf Ver.1.03 -------------------------------
   <BUG FIX>
   (a) Fixed a problem that illegal ADX data has been generated when using 
       the old versions of ADX data.

 - 2005-04-12 adxainf Ver.1.02 -------------------------------
   <CAHNGE SPEC>
   (a) It corresponded to an old ADX format. 

 - 2004-12-15 adxainf Ver.1.00 -------------------------------
   <CAHNGE SPEC>
   (a) Renewal of internal

 - 2004-01-22 adxainf Ver.0.95 -------------------------------
   <BUG FIX>
   (a) "-dataid" command did not operate well.

 - 2003-04-01 adxainf Ver.0.92 -------------------------------
  - latest version is Ver.0.92


/*==========================================================================*
 * 8.  Revision History of Wave Resampler
 *==========================================================================*/

 - 2007-12-20 wavrsmp Ver.3.12 -------------------------------
   <BUG FIX>
   The previous version of this tool had following bugs.
   (a) The tool can not construe 24bit audio format.
   (b) Converted file might include a noise at the end of the file.
   These bugs have been fixed.
   
 - 2007-10-26 wavrsmp Ver.3.10 -------------------------------
   <IMPROVEMENT>
   (a) The performance in multiple CPU environment is improved.
   (b) The performance in the environment with a low memory is improved. 
   (c) The file format analysis routine has been improved.

   <ADD FUNCTION>
   (a) The '-proc' command has been added to specify process priority level.

   <BUG FIX>
   (a) In the previous version of this tool, when converting an audio file 
       to high frequency (such as 192kHz), access violation might occur.
       This bug has been corrected.

 - 2006-11-13 wavrsmp Ver.3.00 -------------------------------
   <IMPROVEMENT>
   (a) The conversion routine has been updated.
   (b) The writing speed of a file has been improved.
   (c) Optimized for multiple CPU environment.
   (d) The file format analysis routine has been improved.

   <ADD FUNCTION>
   (a) Output of markers and loop information has been supported.

   <CHANGE SPEC>
   (a) The maximum number of sampling rate has changed to 192kHz.

   <BUG FIX>
   (a) In the previous version of this tool, when converting an audio file 
       into a specific frequency, its quality has been remarkably 
       deteriorated. This bug has been corrected.

 - 2005-07-12 wavrsmp Ver.2.14 -------------------------------
   <BUG FIX>
   (a) In the previous version of this tool, when the monaural voice was 
       converted into the stereo, a right channel became a no sound. 
       This bug has been corrected.

   <IMPROVEMENT>
   (a) The file format analysis routine has been improved.

 - 2005-01-06 wavrsmp Ver.2.13 -------------------------------
   <BUG FIX>
   (a) In the previous version of this tool, when converting an audio file 
       into a specific frequency, its quality has been remarkably 
       deteriorated. This bug has been corrected.

 - 2004-09-03 wavrsmp Ver.2.12 -------------------------------
   <IMPROVEMENT>
   (a) The file format analysis routine has been improved.

 - 2004-06-18 wavrsmp Ver.2.11 -------------------------------
   <BUG FIX>
   (a) In the previous version of this tool, the wrong format information 
       is displayed. This bug has been corrected.

 - 2004-03-01 wavrsmp Ver.2.10 -------------------------------
   <NEW CREATION>
   - latest version is Ver.2.10


/*--< end of file >---------------------------------------------------------*/
